SerializerFactory.Config (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map

## Class SerializerFactory.Config

- java.lang.Object
- - org.codehaus.jackson.map.SerializerFactory.Config

- Direct Known Subclasses:
    BeanSerializerFactory.ConfigImpl
  Enclosing class:
    SerializerFactory

      public abstract static class SerializerFactory.Config
      extends Object

  Configuration settings container class for bean serializer factory.
  Since:
    1.7

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializerFactory.Config()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `hasKeySerializers()`
    `abstract boolean` | `hasSerializerModifiers()`
    `abstract boolean` | `hasSerializers()`
    `abstract Iterable<Serializers>` | `keySerializers()`
    `abstract Iterable<BeanSerializerModifier>` | `serializerModifiers()`
    `abstract Iterable<Serializers>` | `serializers()`
    `abstract SerializerFactory.Config` | `withAdditionalKeySerializers(Serializers additional)`
    `abstract SerializerFactory.Config` | `withAdditionalSerializers(Serializers additional)` Method for creating a new instance with additional serializer provider.
    `abstract SerializerFactory.Config` | `withSerializerModifier(BeanSerializerModifier modifier)` Method for creating a new instance with additional bean serializer modifier.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SerializerFactory.Config

          public SerializerFactory.Config()

  - ### Method Detail

    - #### withAdditionalSerializers

          public abstract SerializerFactory.Config withAdditionalSerializers(Serializers additional)

      Method for creating a new instance with additional serializer provider.

    - #### withAdditionalKeySerializers

          public abstract SerializerFactory.Config withAdditionalKeySerializers(Serializers additional)

      Since:
        1.8

    - #### withSerializerModifier

          public abstract SerializerFactory.Config withSerializerModifier(BeanSerializerModifier modifier)

      Method for creating a new instance with additional bean serializer modifier.

    - #### hasSerializers

          public abstract boolean hasSerializers()

    - #### hasKeySerializers

          public abstract boolean hasKeySerializers()

    - #### hasSerializerModifiers

          public abstract boolean hasSerializerModifiers()

    - #### serializers

          public abstract Iterable<Serializers> serializers()

    - #### keySerializers

          public abstract Iterable<Serializers> keySerializers()

    - #### serializerModifiers

          public abstract Iterable<BeanSerializerModifier> serializerModifiers()